Credit Limits

Credit limit migration endpoints for subscriptions


Parameters

Name In Type Required Description
org path string true Organization name (tenant)
legacy_id path integer(int32) true Legacy subscription ID (Integer from V1 database)
body body CreateCreditLimitsRequest true ‘none’

Enumerated Values

Property Values
org one of [euskaltel, telecable, rcable, racctel]

Request body - instance of CreateCreditLimitsRequest

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
{
  "subscription_type": "MOBILE",
  "credit_limits": [
    {
      "credit_limit_id": "MOBILE_SUBSCRIPTION_TOTAL_CREDIT_LIMIT",
      "credit_limit_value": 300,
      "reason": "rfm krt migration"
    }
  ]
}
Name Type Required Description
subscription_type string true Type of subscription
credit_limits [CreditLimit] true Array of credit limits to create
Property Values
subscription_type one of [MOBILE, LANDLINE]

Request example

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16

curl -X POST https://subscriptions.masstack.com/v3/orgs/euskaltel/migrations/subscriptions/12345/credit_limits \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {access-token}" \
 --data-raw "{
  'subscription_type': 'MOBILE',
  'credit_limits': [
    {
      'credit_limit_id': 'MOBILE_SUBSCRIPTION_TOTAL_CREDIT_LIMIT',
      'credit_limit_value': 300,
      'reason': 'rfm krt migration'
    }
  ]
}" 

Responses

Code Meaning Description Schema
201 Created Credit limits created successfully None
400 Bad Request Bad request ErrorResponse
404 Not Found Resource not found ErrorResponse
409 Conflict Resource already exists ErrorResponse
500 Internal Server Error Internal server error ErrorResponse

Parameters

Name In Type Required Description
org path string true Organization name (tenant)
legacy_id path string true Legacy subscription ID

Enumerated Values

Property Values
org one of [euskaltel, telecable, rcable, racctel]

Request example

1
2
3
4
5

curl -X DELETE https://subscriptions.masstack.com/v3/orgs/euskaltel/migrations/subscriptions/12345/credit_limits \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {access-token}"

Responses

Code Meaning Description Schema
204 No Content Credit limits deleted successfully None
403 Forbidden Forbidden access ErrorResponse
404 Not Found Resource not found ErrorResponse
500 Internal Server Error Internal server error ErrorResponse

Endpoints

Credit Limits

    Segments

      Max Subscriptions

        Disney Subscriptions

          Amazon Prime Subscriptions